glibmm: Glib::PropertyBase Class Reference

glibmm 2.46.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Glib::PropertyBase Class Reference

This is the base class for Glib::Object properties. More...

`#include <glibmm/property.h>`

Inheritance diagram for Glib::PropertyBase:
[legend]

## Public Member Functions
| PropertyBase (const PropertyBase&)=delete
PropertyBase& | operator= (const PropertyBase&)=delete
Glib::ustring | get_name () const
| Returns the name of the property. More...
void | notify ()
| Notifies the object containing the property that the property has changed. More...

## Protected Member Functions
| PropertyBase (Glib::Object& object, GType value_type)
| This constructs a property of type value_type for the object. More...
| ~PropertyBase () noexcept
bool | lookup_property (const Glib::ustring& name)
| Checks if the property has already been installed. More...
void | install_property (GParamSpec* param_spec)
| Installs the property specified by the given param_spec. More...
const char* | get_name_internal () const
| Returns the name of the property. More...

## Protected Attributes
Glib::Object* | object_
Glib::ValueBase | value_
GParamSpec* | param_spec_

## Detailed Description

This is the base class for Glib::Object properties.

This class manages the generic parts of the object properties. Derived (templated) classes handle the specific value types.

## Constructor & Destructor Documentation

Glib::PropertyBase::PropertyBase | ( | const PropertyBase& |  | ) |
| delete

Glib::PropertyBase::PropertyBase | ( | Glib::Object& | object,
|  | GType | value_type
| ) |  |
| protected

This constructs a property of type value_type for the object.

The property is not registered in the GObject object system until install_property() has been called. Derived classes do this in their constructors.

The properties are usually installed during the initialization of the first instance of an object.

Glib::PropertyBase::~PropertyBase | ( |  | ) |
| protectednoexcept

## Member Function Documentation

Glib::ustring Glib::PropertyBase::get_name | ( |  | ) | const

Returns the name of the property.

const char* Glib::PropertyBase::get_name_internal | ( |  | ) | const
| protected

Returns the name of the property.

void Glib::PropertyBase::install_property | ( | GParamSpec * | param_spec | ) |
| protected

Installs the property specified by the given param_spec.

bool Glib::PropertyBase::lookup_property | ( | const Glib::ustring& | name | ) |
| protected

Checks if the property has already been installed.

void Glib::PropertyBase::notify | ( |  | ) |

Notifies the object containing the property that the property has changed.

This emits the "notify" signal, passing the property name.

PropertyBase& Glib::PropertyBase::operator= | ( | const PropertyBase& |  | ) |
| delete

## Member Data Documentation

Glib::Object* Glib::PropertyBase::object_
| protected

GParamSpec* Glib::PropertyBase::param_spec_
| protected

Glib::ValueBase Glib::PropertyBase::value_
| protected